curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{chatbot-uuid}' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}`;
const headers = {
'Authorization': 'Bearer <token>'
};
axios.get(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"meta": {
"model": "gpt-3.5-turbo",
"prompt": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"temperature": 0,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
Chatbots
Fetch a Chatbot
Fetch single chatbot base on uuid
GET
/
api
/
v1
/
chatbot
/
{uuid}
curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{chatbot-uuid}' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}`;
const headers = {
'Authorization': 'Bearer <token>'
};
axios.get(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"meta": {
"model": "gpt-3.5-turbo",
"prompt": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"temperature": 0,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
Path
Response
curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{chatbot-uuid}' \
--header 'Authorization: Bearer <token>'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}`;
const headers = {
'Authorization': 'Bearer <token>'
};
axios.get(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"meta": {
"model": "gpt-3.5-turbo",
"prompt": "string",
"rate_limit": [
20,
240
],
"rate_limit_message": "Too many messages",
"show_citations": false,
"temperature": 0,
"visibility": "private"
},
"modified_at": "string",
"name": "string",
"uuid": "string"
}
⌘I